Bug 89924 - mod_fcgid port description improperly says suEXEC not supported
mod_fcgid port description improperly says suEXEC not supported
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: lawrance
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-04 08:50 UTC by gentoo
Modified: 2005-12-16 10:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gentoo 2005-12-04 08:50:02 UTC
mod_fcgid port was recently updated to new upstream verion 1.07.

But the mod_fcgid port description incorrectly states that suEXEC is not supported.  

Actually, mod_fcgid started supporting suEXEC in August 2004 so it would be appreciated if the description is fixed as soon as possible because it may have been driving away potential users.

Thanks!

Fix: 

Please replace the following in the port description.

INCORRECT SENTENCE:
"The bad news is that it does not currently support suEXEC, and the
good news is that it has PHP support."

SUGGESTED REPLACEMENT:
"mod_fcgid is binary-compatible with mod_fastcgi so your existing fastcgi programs do not need to be recompiled.  mod_fcgid is actively maintained and started supporting suEXEC in version 0.87 (Aug 26, 2004)."
Comment 1 Edwin Groothuis freebsd_committer 2005-12-04 08:57:31 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 hemi 2005-12-04 09:53:18 UTC
On Sun, Dec 04, 2005 at 08:57:22AM +0000, Edwin Groothuis wrote:
> Maintainer of www/mod_fcgid,
> 
> Please note that PR ports/89924 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/89924
> 
> -- 
> Edwin Groothuis
> edwin@FreeBSD.org

Looks good to me. Not in patch form, but it's not a hard update. If you want a
diff I can make the change and provide one.

Thanks,
Josh
-- 
Josh Tolbert
hemi@puresimplicity.net  ||  http://www.puresimplicity.net/~hemi/

If your sysadmin's not being fascist, you're paying him too much.
   --Sam Greenfield
Comment 3 lawrance freebsd_committer 2005-12-16 00:22:31 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 4 lawrance freebsd_committer 2005-12-16 06:24:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take
Comment 5 lawrance freebsd_committer 2005-12-16 10:40:03 UTC
State Changed
From-To: open->closed

Committed, thanks!